Bug 186505 - lock when trying to customize securitylevel from text console using a german locale
lock when trying to customize securitylevel from text console using a german ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-23 17:20 EST by Christian Nolte
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.6.16-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-04 13:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Nolte 2006-03-23 17:20:06 EST
Description of problem:

When trying to customize the system-config-securitylevel settings from a text
console, /usr/sbin/lokkit hangs. This occurs only when $LANG=de_DE.UTF-8 and
only in text-mode (no X).

Version-Release number of selected component (if applicable):
system-config-securitylevel-tui-1.6.16-1

How reproducible:
Everytime.


Steps to Reproduce:
1. Change to a text login
2. Make shure you are using german locale ($LANG=de_DE.UTF-8)
3. Start system-config-securitylevel
4. Select "Anpassen", i.e. "Customize" in english
5. The console completely locks. CTRL-C/CTRL-D are not working
6. /usr/sbin/lokkit has to be killed to regain access to the console
  
Actual results:
/usr/sbin/lokkit hangs, no settings can be made from the user

Expected results:
No more lockups, please. ;-)

Additional info:
Exporting LANG=en lets system-config-securitylevel function correctly
Comment 1 Chris Lumens 2006-03-24 10:23:22 EST
I believe the problem here is that the translations make the window too wide, so
it doesn't fit on the screen, so newt throws its hands up and doesn't draw
anything.  The customization screen just needs to be reworked.  If I make an
update for FC5 and put it in updates-testing, can you test it out?
Comment 2 Christian Nolte 2006-03-24 10:33:19 EST
Yes, I can test it.
Comment 3 Chris Lumens 2006-03-29 09:53:42 EST
This might actually be fixed by a newt bug.  We've been seeing these same sorts
of problems with various console programs.  See bug 185950 for descriptions that
are similar to yours.  In that case, I won't have to rework the whole screen.
Comment 4 Christian Nolte 2006-03-29 12:04:08 EST
The patch attached to bug 185950 solves the problem for me. Thank you!
Comment 5 Chris Lumens 2006-04-04 13:00:16 EDT
An updated newt has been pushed for FC5, which should fix this up.

Note You need to log in before you can comment on or make changes to this bug.